OpenRiaServices.EntityFramework.EF4 4.4.0.1

Open RIA Services support for ObjectContext

OpenRiaServices.EntityFramework provides the LinqToEntitiesDomainService<T> class which can be used to create Domain Service classes for use with an ObjectContext using older versions of Entity Framework.

     This package supports versions of EntityFramework less than 6. If you are using ObjectContext with EF 6 use the OpenRiaServices.EntityFramework package instead.

There is a newer version of this package available.
See the version list below for details.
Install-Package OpenRiaServices.EntityFramework.EF4 -Version 4.4.0.1
dotnet add package OpenRiaServices.EntityFramework.EF4 --version 4.4.0.1
<PackageReference Include="OpenRiaServices.EntityFramework.EF4" Version="4.4.0.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add OpenRiaServices.EntityFramework.EF4 --version 4.4.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

Code added to remove RequiredAttribute from database generated values.

Version History

Version Downloads Last updated
4.6.0-preview0001 47 3/19/2019
4.5.1 298 3/4/2018
4.5.0 376 3/19/2017
4.5.0-rc2 218 11/9/2016
4.5.0-rc1 214 8/29/2016
4.4.1 1,823 10/29/2015
4.4.0.3 448 3/29/2015
4.4.0.1 439 1/9/2015
4.4.0 464 12/1/2014
4.4.0-Beta2 372 5/12/2014
4.4.0-Beta1 387 4/18/2014
4.3.0 876 2/7/2014
Show less